Saltar al contenido
Guías
CatálogoAcciones para agentes
catalog:create

Crear un borrador de producto para un agente

POST/v1/agent-actions/product-drafts

Crear un borrador de producto para un agente. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/agent-actions/product-drafts" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "product": {      "name": "Example resource",      "sku": "SKU-001",      "description": "Example description.",      "slug": "example-resource",      "brandId": "7204558912004325301",      "categoryId": "7204558912004325301",      "price": 0,      "compareAtPrice": 0    },    "idempotencyKey": "example",    "images": [      {        "download_url": "https://example.com/resource",        "file_id": "7204558912004325301",        "mime_type": "example",        "file_name": "Example resource"      }    ],    "conversationId": "7204558912004325301"  }'
{  "id": "7204558912004325301",  "productId": "7204558912004325301",  "name": "Example resource",  "queuedImageCount": 1,  "createdOn": "2026-08-01T15:30:00Z"}